export MYDIR=`dirname $0`
. $MYDIR/setup.sh

# echo Scala version:
# $SCALA -version

# echo Java version:
# $JAVA -version

# echo Javac version:
# $JAVAC -version


# $JAVAC -processor checkers.inference.InferenceChecker -Xmaxwarns 1000 -Awarns $*

echo "Starting inference:"

# $SCALA -version
$SCALA checkers.inference.TTIRun $INFARGS $*

echo "Inserting the result into the code:"

# always use FQN: --abbreviate=false
$JAVA -cp $CFCLASSPATH annotator.Main -d inference-output inference.jaif $*

cd inference-output

echo "Checking the result (old):"

# encoding needed for JabRef test files
$JAVAC -encoding ISO8859-1 -processor GUT.GUTChecker -Xmaxwarns 100 -Awarns $*

echo "Checking the result (new):"

$JAVAC -encoding ISO8859-1 -processor GUTI.GUTIChecker -Xmaxwarns 100 -Awarns $*

cd ..
. $MYDIR/jaiftistics.sh inference.jaif
