package checkers.inference;

import java.lang.annotation.Annotation;
import java.util.Set;

import javax.annotation.processing.ProcessingEnvironment;
import javax.lang.model.element.AnnotationMirror;

import com.sun.source.tree.CompilationUnitTree;

import checkers.types.AnnotatedTypeFactory;
import checkers.types.AnnotatedTypeMirror;

public interface InferenceTypeChecker {
	// from BaseTypeChecker
    void init(ProcessingEnvironment processingEnv);

    // from BaseTypeChecker
    AnnotatedTypeFactory createFactory(CompilationUnitTree root);

    // from BaseTypeChecker
    Set<Class<? extends Annotation>> getSupportedTypeQualifiers();

	boolean needsAnnotation(AnnotatedTypeMirror ty);

    AnnotationMirror defaultQualifier();

    AnnotationMirror selfQualifier();
}